=== debian/changelog ===
pacapt (2.3.13-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 25 Jul 2016 19:20:38 +0800

pacapt (2.3.11-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Jul 2016 19:34:03 +0800

pacapt (2.3.8-2) unstable; urgency=medium

  * Use UTC time to make package reproducible.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 28 Jun 2016 22:19:07 +0800

pacapt (2.3.8-1) unstable; urgency=low

  * Initial release. Closes: #827678

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 20 Jun 2016 23:13:10 +0800
