=== debian/control ===
Source: pacapt
Section: admin
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper ( >= 9.20160403),
               ruby-ronn,
Standards-Version: 3.9.8
Homepage: https://github.com/icy/pacapt
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pacapt.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pacapt.git

Package: pacapt
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Arch's pacman-like package manager for some Unices
 pacapt is an Arch's pacman-like package manager for some Unices. It is
 a bash script provides a wrapper for system's package manager.
