=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export VERSION = $(shell dpkg-parsechangelog -S Version | sed 's/\-[^-]\+//')

DATE := $(shell date --utc --date="$$(dpkg-parsechangelog --show-field Date)" +%F)

%:
	dh $@

override_dh_auto_configure:
	cat debian/pacapt.manpages | sed 's/\.1/.1.ronn/' | xargs ronn --date=$(DATE) --roff
	dh_auto_configure

override_dh_auto_build:
	make pacapt

override_dh_auto_install:
	mkdir -p debian/pacapt/usr/bin/
	cp pacapt debian/pacapt/usr/bin/pacapt
