=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
https://github.com/icy/pacapt/tags .*/v?(\d\S*)\.tar\.gz
