=== debian/changelog ===
pacapt (2.3.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
    * Use https in Format field in debian/copyright.
  * Bump compat to 11
  * Remove unused debian/README.Debian.
  * Use asciidoc instead of ronn to write manpage.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 10 Jan 2018 15:10:29 +0800
