=== debian/control ===
Source: pacapt
Section: admin
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 11),
               asciidoc-base,
Standards-Version: 4.1.3
Homepage: https://github.com/icy/pacapt
Vcs-Git: https://salsa.debian.org/debian/pacapt.git
Vcs-Browser: https://salsa.debian.org/debian/pacapt

Package: pacapt
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Arch's pacman-like package manager for some Unices
 pacapt is an Arch's pacman-like package manager for some Unices. It is
 a bash script provides a wrapper for system's package manager.
