=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export VERSION = ${DEB_VERSION}

%:
	dh $@

override_dh_auto_configure:
	mkdir -p ${CURDIR}/debian/bak
	cp ${CURDIR}/pacapt ${CURDIR}/debian/bak
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --attribute=footer-style=none --doctype manpage --format manpage
	dh_auto_configure

override_dh_auto_build:
	make pacapt

override_dh_auto_install:
	mkdir -p debian/pacapt/usr/bin/
	cp pacapt debian/pacapt/usr/bin/pacapt

override_dh_clean:
	dh_clean
	-cp ${CURDIR}/debian/bak/pacapt ${CURDIR}/
